using static System.Console;

string miasto = "Londyn";
WriteLine($"{miasto} ma {miasto.Length} znaków.");

WriteLine($"Pierwszy znak to {miasto[0]}, a trzeci to {miasto[2]}.");

string miasta = "Paryż,Teheran,Warszawa,Sydney,Nowy Jork,Medellin";

string[] tablicaMiast = miasta.Split(',');

WriteLine($"W tablicy zapisano {tablicaMiast.Length} miast.");
foreach (string element in tablicaMiast)
{
   WriteLine(element);
}

string imieINazwisko = "Adam Nowak";
int indeksSpacji = imieINazwisko.IndexOf(' ');

string imie = imieINazwisko.Substring(
  startIndex: 0, length: indeksSpacji);

string nazwisko = imieINazwisko.Substring(
  startIndex: indeksSpacji + 1);

WriteLine($"Oryginał: {imieINazwisko}");
WriteLine($"Po zamianie: {nazwisko}, {imie}");

string firma = "Microsoft";
bool zaczynaSieOdM = firma.StartsWith("M");
bool zawieraN = firma.Contains("N");
WriteLine($"Tekst: {firma}");
WriteLine($"Zaczyna się od litery M: {zaczynaSieOdM}, zawiera literę N: {zawieraN}");

string znowZlaczone = string.Join(" => ", tablicaMiast);
WriteLine(znowZlaczone);

string owoce = "jabłka";
decimal cena = 0.39M;
DateTime kiedy = DateTime.Today;

WriteLine($"Interpolowane: W {kiedy:dddd} {owoce} kosztują {cena:C}.");

WriteLine(string.Format("string.Format: W {2:dddd} {0} kosztują {1:C}.",
  arg0: owoce, arg1: cena, arg2: kiedy));

